Skip to main content
GET
/
v1
/
models
Get List of Models
curl --request GET \
  --url https://api.example.com/v1/models \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "created": 1756885796,
      "id": "seongil-dn/bge-m3-3800_steps_v2_234",
      "max_model_len": 1024,
      "object": "model",
      "owned_by": "vllm",
      "parent": null,
      "permission": [
        {
          "allow_create_engine": false,
          "allow_fine_tuning": false,
          "allow_logprobs": true,
          "allow_sampling": true,
          "allow_search_indices": false,
          "allow_view": true,
          "created": 1756885796,
          "group": null,
          "id": "modelperm-cb01ad02375f4989a5730d7e103b03ab",
          "is_blocking": false,
          "object": "model_permission",
          "organization": "*"
        }
      ],
      "root": "seongil-dn/bge-m3-3800_steps_v2_234"
    }
  ],
  "object": "list"
}

Authorizations

Authorization
string
header
required

Bearer token authentication. Include the token in the Authorization header as 'Bearer '

Response

200 - application/json

Successfully retrieved list of models

code
integer<int32>
required

HTTP status code.

Required range: x >= 0
success
boolean
required

Whether the request was successful.

data
any
exception
any